An Overview of Time Traveler

Time Traveler

A Multipurpose Clock

Version 1.0

Overview

Time Traveler is a multipurpose clock application that can show the current time in many different locations. Any number of alarm clocks, stopwatches, and countdown timers can be simultaneously displayed. Each clock can display the current time, elapsed time, remaining time, date, or location in a variety of customizable formats. The fonts, colors, size, and location can also be customized. A Time Converter allows conversion between times and dates in any of the many built-in time zones or time zones that the user configures. The user can select many different alarm sounds, or use a computer synthesized voice announcement, which can also announce the time at regular intervals. Clocks can be placed on a solid color or transparent background and can be configured to display above all other windows.

Example

In the example above, three clocks are shown, each displaying a different time zones. One has been selected for modification.

Clock Types

There are three basic clock styles, as shown here.

Alarm Clock
Countdown Timer
Stopwatch

For More Help

  • Selecting, moving, and changing the size of clocks
  • Opening and using the control box and menus
  • Customizing the appearance of clocks
    • Fonts, colors, drop shadow
    • Transparency, Always On Top
    • Arranging clocks vertically or horizontally
  • Changing the clock type
  • Creating new clocks and copying clock styles
  • Setting alarms, snooze time, and countdown times
  • Changing the format of time and date displays
    • Custom format strings
    • Displaying time until the next alarm
    • Setting the clock's caption
  • Selecting and editing cities and time zones
    • Adding a custom city
    • Selecting the Local time zone
  • Customizing alarm sounds and voice features
  • Setting Time Traveler options
  • Using the Time Converter
  • Using the Window menu
  • How to Register your copy of TimeTraveler
  • Finding the version number, license, and contact information

Next Topic

© 2002 Ultrapico. All rights reserved. http://www.ultrapico.com


Selecting, moving, and resizing clocks

Selecting a Clock

Select an individual clock by clicking it with the mouse. A box will appear outlining the selected clock as in the following picture in which the Minneapolis clock has been selected.

Move a clock by dragging with the mouse.

To move a clock's position on the desktop, move the mouse cursor over the clock until the cursor with four arrows appears, then depress the left mouse button and drag the clock wherever you want it to be.

It is also possible to automatically arrange all the clocks horizontally or vertically.

Resize a clock by dragging the selection box.

To change the size of a clock, first select it by clicking the left mouse button, then move the mouse cursor over one of the four edges, a double arrowed cursor will appear. Left click and drag the edge to make the clock bigger or smaller. The fonts will change to fit within the new bounding rectangle.

Moving Clocks Using the Keyboard

To move a clock with the keyboard, first select it and then use the following keystrokes:

  • Arrow Keys - Move a big step in the direction of the arrow
  • Ctrl + Arrow Keys - Move a small step in the direction of the arrow
  • Page Up - Move to the top of the screen
  • Page Down - Move to the bottom of the screen
  • Home - Move to the left of the screen
  • End - Move to the right of the screen

For More Help Next Topic

© 2002 Ultrapico. All rights reserved.


Using the Control Box and Menus

Control box and context menus

The clocks may be modified and controlled using the control box, the context menu, or the task bar icon. These methods will now be described.

Opening the control box

All of the clock features can be controlled by opening up the control box. The control box can be opened by double-clicking a clock, by right-clicking a clock and using the context menu, or by using the task bar icon if it is displayed.

Using the control box

The control box has menus and tabs for controlling the clock. Whenever the control box is open, one clock will be selected. The name and type of the clock are displayed near the top of the box. The control box displayed the settings of whichever clock is selected and enables all of these properties to be changed, either by use of the menus or by clicking on the appropriate tab.

Selecting a clock using the control box

You can change the selected clock using the "Window" menu in the control box.

Using the Context Menu

By right clicking a clock, the context menu is displayed, as shown here.

Select a menu item and click to perform the function.

Using the Task Bar menu

If the appropriate option is set, a Time Traveler icon will appear in the Windows Task Bar. By right clicking this item, another context menu will appear as shown here.

Again, select a menu item and click to perform the function.


Customizing the appearance of clocks

To customize the appearance of a clock, first select the clock, open the control box, and select the "Style and Layout" tab in the control box. Most features can also be set using the menu.

Changing Fonts

The upper line of text that displays in an alarm clock is usually used to display the time of day, the lower line usually displays the date. This can be changed, nevertheless we use the term "Time" to refer to the top line and "Date" to refer to the bottom line. To change the font of the top line, click the button labeled "Set Time Font ...". This opens up a font dialog that allows selection of font, size, and style. To change the date font, click the corresponding button.

Adding a Drop Shadow

A drop shadow can be added to either the time or date display by clicking the corresponding check box. The shadow is offset toward the bottom right by an amount specified in the "Offset" box. Depending on the background and the transparency setting, the drop shadow may not be evident at first.

Setting Colors

Clicking the "Set Colors ..." button opens up a dialog box that enables setting of three different colors: the time font, the date font, and the background color. To set one of these colors, first click the radio button specifying which color to change. Next, click any of the color samples at the top of the form, or any of the system colors at the left side of the form. The sample display will be immediately updated. Keep making changes until you are satisfied, then click "Apply" for the colors to take effect. Click "Exit" to exit from the color selection dialog. If you click "Exit" before clicking "Apply" the colors will not take effect.

Making Clocks Transparent

The background of a clock can be made transparent by clicking the "Transparent Background" check box. An example is shown here in which several clocks with transparent backgrounds and drop shadows are shown overlapping another window.

Making Clocks Translucent (Semitransparent)

A clock can be made semitransparent by clicking the "Translucent Display" checkbox and entering a percent opacity number in the edit box. 100% means fully opaque, 10% (the minimum value) makes the clock almost invisible as it blends into the background. Here is an example of a clock that is set to an opacity of 50%.

Making Clocks Always On Top

Clocks can be set to always display on top of other windows by checking the "Always On Top" checkbox. This option can also be set or reset from the context menu, which can be useful if the clock is obscuring something important and you want to disable this feature temporarily.

Arranging Clocks

To arrange all the clocks in a horizontal row, select any clock and move it to the position in which you would like the row to start, then click "Arrange All Horizontally". The order of the clocks will be determined by the order in which they were created. You can also arrange the clocks vertically.


Selecting the Type of Clock

Time Traveler supports multiple clock types. To select the desired type, click the corresponding button on the "Clock Settings" tab in the control box.


Creating New Clocks and Copying Styles

Setting the Default Clock Style

When new clocks are created, they typically use the default clock style. This can be changed by selecting a clock and then selecting "Set as Default Clock" from the context menu or "Set Current Clock as Default" from the "Clock Settings" tab of the control box.

Creating New Clocks

New clocks can be created in several ways:

  • Select "New Clock" from one of the menus, then select the desired clock type
  • Click the "Duplicate this Clock" menu item to make an exact copy of the currently selected clock.
  • Click "New Clock" from the "Select Cities" dialog box.

Copying Clock Styles

To copy the style from one clock to another, select the clock, then select "Copy Clock Style" from the menu. Now select another clock and select "Paste Clock Style". All properties of the first clock will be replicated except the location of the clock on the screen, the clock caption, and the city information.

Changing the Clock Caption

After creating a new clock, you may wish to change its caption.


Setting Alarm and Countdown Time

Each alarm clock can be set to trigger one alarm at a specific time every day. To set multiple alarms, or to set alarms based on other time zones, create another clock and set its alarm time. Countdown timers can be set to trigger an alarm when they countdown to zero from a preset starting time. These settings can be made from the "Clock Settings" tab shown here:

Setting the Alarm

To set the alarm time, select the desired alarm time in either 12 or 24 hour format, then click "Set Alarm". If you use 12 hour format, Time Traveler will attempt to guess whether you wanted AM or PM. It it guesses wrong, click the "AM" or "PM" button to change the alarm time by 12 hours. The alarm will be turned out whenever the time is changed. To turn it on or off, check or uncheck the "Alarm On" check box.

Setting the Snooze Time

When the alarm is triggered, a form will appear that contains a "Snooze" button. If the snooze button is clicked, the alarm will be suspended and reoccur after a delay that can be set using the "Set Snooze Time" button. The snooze time is the same for all clocks.

Using the Alarm Icon

Whenever the alarm is turned on, an Alarm Icon, shaped like a small bell will appear in the clock display, as shown below.

Click on the alarm icon to turn off the alarm or to cancel any "Snooze" alarms that are still pending.

Setting the Countdown Time

To set the countdown start time for a timer, change the preset numbers. This can also be done while a countdown is in progress, the countdown alarm will fire when the elapsed time is the same as what is shown on the preset, no matter what the original preset time was.


Formatting the Time and Date

The time and date of an alarm clock can be displayed in a wide variety of formats. All changes are made using the "Display Format" tab of the control box.

The alarm clock display has two lines. The top line is controlled by the "Time Format", the bottom line by the "Date Format", although either one can display time or date.

Examples

Here are three clocks showing different formats.

Format Strings

Date and time formats are set using a number of format specifiers that are a standard part of the Windows system. The most useful formats are built in, others can be customized as needed. For details on manually specifying formats see the topic "Customizing the Date and Time Format".

Setting the Time Format

Select a format from the the Time Format list box. The format string will be displayed at the bottom of the form, where it can be customized if desired. Click "Apply Changes" to apply the new format. Note that when a format is selected in the list box, it will also check or uncheck the box labeled "Use AM/PM Indicator". When this is checked, the indicator that displays "AM" or "PM" will be turned on. The default value can be overridden by clicking the check box and then clicking "Apply Changes". Note that it is certainly possible to have the "Time" display show the date instead. You may not set a blank "Time" display, since this could render the clock totally invisible.

Setting the Date Format

Select a format from the the Date Format list box. The format string will be displayed at the bottom of the form, where it can be customized if desired. Click "Apply Changes" to apply the new format. Note that it is certainly possible to have the "Date" display show the time instead. You may set a blank date display if you wish. This is useful if you want to minimize the vertical height of the clock.

Showing Time Until the Next Alarm

The date display may also be used to show the time until the next alarm, in a fixed format. If the alarm is turned off, the display reverts to the specified date format.

Setting the Clock Caption

Either the time or date display may be configured to display a caption for the clock as part of the format string. This caption is also displayed in the control box and "Window" menu to help identify individual clocks. When the clock is created, this caption is usually set to the name of the city associated with this clock. However, the clock's caption can be changed to any other text string by entering a new caption in the "Clock Name" text box and clicking "Apply Changes".


Working with Cities and Time Zones

Time Traveler can be used to display the time in cities and time zones all over the world. It automatically adjusts for changes due to daylight saving time and makes it simple to convert time between zones.

Selecting a City

To select a city for the clock, click on the "Select a City ..." button on the "Clock Settings" tab of the control box. Note that the current city and time zone information is displayed beneath this button.

The "Select Cities" box will open and show a list of cities and associated time zones. Time Traveler comes pre-configured with a large number of cities. Select the desired city in the list box. Notice that details for this time zone, including the rules for determining the start and end dates for daylight saving time, are displayed at the bottom. When the desired city has been selected, click the "Select" button. The currently selected clock will immediately display the time and date in that city. Alternatively, you can click the "New Clock" button to create a brand new clock using the selected city. You can close the dialog box by clicking "Exit".

Selecting the Local Time Zone

The top of the city list always shows a city named "Local". This uses the time zone that has been configured to display on your computer's clock. If you change your computer's time zone, the time on Local clocks will change, while the time on any other clocks will stay the same.

Adding a Custom City to the List

If the city you want does not appear in the list of cities, you can add a custom city by clicking the "Add" button in the "Select Cities" box. A new dialog box will open with a box in which to enter the name of the new city and a list of time zones to select from. Click "OK" to keep the new city, which will now appear in the "Select Cities" list and in the Time Converter. Custom cities are displayed at the top of the list, following the "Local" time zone, which is always at the top of the list.

Editing or Deleting a Custom City

You can edit or delete custom cities using the "Edit" and "Delete" buttons in the "Select Cities" dialog box. It is not possible to edit or delete cities that are pre-configured in the system.

Converting Time between Zones

To compute the time in one zone that corresponds to the time in another zone, use the Time Converter.


Using Sound and Voice Features

Sounds and Voices

Time Traveler can play a variety of sounds when the alarm is triggered. It can also announce the time using a synthesized voice. These features are set using the "Sound and Voice" tab in the control box.

Selecting a Sound File

Time Traveler displays a list of all the sound files found in the Windows media directory. Simply select one of these sounds using the drop-down list box. To test the alarm, click the "Play" button. Click "Stop" to end the alarm sound. The alarm sound can be played just once, or set to loop continuously by checking the "Continuous Loop" check box. The alarm sound can be turned off by unchecking the "Turn On Alarm Sound" box. If "Use Voice for Alarm" is checked the alarm will be signaled by a synthesized voice that announces the time.

Adding and Deleting Custom Sounds

Sound files in a variety of formats including *.wav, *.mid, and *.mp3 can be used. To add a custom sound to the list, click the "Add ..." button. A "Select a New Sound File" dialog will open. Browse to the location of the file, and click "Open" to add this file to the list. You can delete custom sound files from the list, by selecting the file name in the drop-down list and clicking "Delete". This will delete the file from the list, but will not modify the file itself in any way. You will not be able delete any of the built-in files from the list, only the custom sound files.

Viewing the Audio Controls

If you check "Show Audio Controls When Alarm Plays", Time Traveler will show the following dialog box that allows you to pause the sound or adjust the volume. This dialog will not open if you use the synthesized voice.

Using the Synthesized Voice

Each clock can be set to announce the time at regular intervals using the synthesized voice. It is also possible to select among several voices installed on your computer. Again there is a button to allow the voice features to be tested.

Adjusting the Volume

The volume control can be used to set the volume of both the synthesized voice and the alarm sounds.


Setting Time Traveler Options

Several options can be set using the "Options" tab of the control box.

Hide Controls on Startup

When this option is set, the control box is not visible when Time Traveler is started. This option is disabled when Time Traveler is first installed, but it is highly recommended that this option be set after the user becomes familiar with the operation of Time Traveler.

Show in Task Bar

When set, Time Traveler will appear in the task bar whenever the control box is visible.

Start Automatically at Login

When set, Time Traveler will start up automatically every time you log in to your user account.

Put Shortcut on the Desktop

When set, a shortcut to Time Traveler will be put on the user's desktop. Unchecking the box will remove the shortcut.

Show Icon in Status Area of Taskbar

When set, an icon will appear in the status area of the Windows taskbar. Right-clicking on this icon will bring up a menu of commands, including a command to open the control box.


Using Time Converter

To convert time between two zones, open the "Time Converter" dialog by, for example, clicking the "Time Converter" button in the control box. A list of cities is shown on both the left and right of the box. Select a city on each side, then set a date and time on either side, the other side will show the corresponding date and time in the other city. Click the "Reset" button to set the time to 12:00 AM. Click "Exit" to close the Time Converter.


Using the Window Menu

The "Window" menu allows selection and arrangement of clocks.

The currently selected clock is checked. Another clock can be selected by clicking the corresponding menu item. The clocks may be arranged horizontally and vertically using those menu options.


How to Register TimeTraveler

Up-to-date information on TimeTraveler, including instructions for obtaining a Regististration Code, can be obtained by visiting the Ultrapico web site at:

http://www.ultrapico.com

Registration of TimeTraveler is optional, however after a built-in expiration date, you will receive reminders to register your copy. By registering, you will eliminate these reminders and be notified of any major updates to TimeTraveler.

You may also send email to register@ultrapico.com giving your email address and name. After registering, you will receive a User Name and Registration Code by email. To activate your registration, simply select "Register" from the "Help" menu and enter the information as shown below. Be sure to enter the User Name and Registration Code exactly as they appear in your email.


About TimeTraveler

To find information about Time Traveler, including the version number, licensing and contact information, select the "About Time Traveler" item in the "Help" menu.

Visit Ultrapico on the Internet at http://www.ultrapico.com or

Send questions or comments to: support@ultrapico.com

For More Help


Customizing the Date and Time Format

The following information was taken directly from Microsoft's documentation of their .NET Framework. The text was edited to remove information not relevant to its use within Time Traveler. In addition to the format specifiers below, Time Traveler adds an additional specifier "\\c" which is used to specify the clock's Caption, which is usually the name of the clock's City.

What follows is:

© 2001 Microsoft Corporation. All rights reserved.

The following format characters can be used to specify a standardized date or time format.

Format Character | Description | Example Format Pattern (en-US)
d | Short Date Pattern | MM/dd/yyyy
D | Long Date Pattern | dddd, dd MMMM yyyy
f | Full date and time (long date and short time) | dddd, dd MMMM yyyy HH:mm
F | Full DateTime Pattern (long date and long time) | dddd, dd MMMM yyyy HH:mm:ss
g | General (short date and short time) | MM/dd/yyyy HH:mm
G | General (short date and long time) | MM/dd/yyyy HH:mm:ss
m, M | Month Day Pattern | MMMM dd
r, R | RFC1123 Pattern | ddd, dd MMM yyyy HH':'mm':'ss 'GMT'
s | Sortable DateTime Pattern (based on ISO 8601) using local time | yyyy'-'MM'-'dd'T'HH':'mm':'ss
t | Short Time Pattern | HH:mm
T | Long Time Pattern | HH:mm:ss
u | Universal Sortable DateTime Pattern using universal time | yyyy'-'MM'-'dd HH':'mm':'ss'Z'
U | Full date and time (long date and long time) using universal time | dddd, dd MMMM yyyy HH:mm:ss
y, Y | Year Month Pattern | yyyy MMMM

The following table lists the patterns that can be combined to construct custom patterns. The patterns are case-sensitive; for example, "MM" is recognized, but "mm" is not. If the custom pattern contains white-space characters or characters enclosed in single quotation marks, the output string will also contain those characters. Characters not defined as part of a format pattern or as format characters are reproduced literally.

Format Pattern | Description
d | The day of the month. Single-digit days will not have a leading zero.
dd | The day of the month. Single-digit days will have a leading zero.
ddd | The abbreviated name of the day of the week.
dddd | The full name of the day of the week.
M | The numeric month. Single-digit months will not have a leading zero.
MM | The numeric month. Single-digit months will have a leading zero.
MMM | The abbreviated name of the month.
MMMM | The full name of the month.
y | The year without the century. If the year without the century is less than 10, the year is displayed with no leading zero.
yy | The year without the century. If the year without the century is less than 10, the year is displayed with a leading zero.
yyyy | The year in four digits, including the century.
gg | The period or era. This pattern is ignored if the date to be formatted does not have an associated period or era string.
h | The hour in a 12-hour clock. Single-digit hours will not have a leading zero.
hh | The hour in a 12-hour clock. Single-digit hours will have a leading zero.
H | The hour in a 24-hour clock. Single-digit hours will not have a leading zero.
HH | The hour in a 24-hour clock. Single-digit hours will have a leading zero.
m | The minute. Single-digit minutes will not have a leading zero.
mm | The minute. Single-digit minutes will have a leading zero.
s | The second. Single-digit seconds will not have a leading zero.
ss | The second. Single-digit seconds will have a leading zero.
f | The fraction of a second in single-digit precision. The remaining digits are truncated.
ff | The fraction of a second in double-digit precision. The remaining digits are truncated.
fff | The fraction of a second in three-digit precision. The remaining digits are truncated.
ffff | The fraction of a second in four-digit precision. The remaining digits are truncated.
fffff | The fraction of a second in five-digit precision. The remaining digits are truncated.
ffffff | The fraction of a second in six-digit precision. The remaining digits are truncated.
fffffff | The fraction of a second in seven-digit precision. The remaining digits are truncated.
t | The first character in the AM/PM designator.
tt | The AM/PM designator.
z | The time zone offset ("+" or "-" followed by the hour only). Single-digit hours will not have a leading zero. For example, Pacific Standard Time is "-8".
zz | The time zone offset ("+" or "-" followed by the hour only). Single-digit hours will have a leading zero. For example, Pacific Standard Time is "-08".
zzz | The full time zone offset ("+" or "-" followed by the hour and minutes). Single-digit hours and minutes will have leading zeros. For example, Pacific Standard Time is "-08:00".
: | The default time separator.
/ | The default date separator.
% c | Where c is a format pattern if used alone. The "%" character can be omitted if the format pattern is combined with literal characters or other format patterns.
\ c | Where c is any character. Displays the character literally. To display the backslash character, use "\\".

Only format patterns listed in the second table above can be used to create custom patterns; standard format characters listed in the first table cannot be used to create custom patterns. Custom patterns are at least two characters long.

© 2001 Microsoft Corporation. All rights reserved.